INTERFACE
SUBROUTINE ELARCHE5(KPROMA,KSTART,KPROF ,KFLEV ,KLEV,&
 & LDCOMPUTE_OMVAK_O,&
 & PGEMU ,PGSQM2,PGECLO,PGESLO,&
 & PIX5 ,PJY5 ,PO5 ,PQ5 ,&
 & PXX5, PYY5, PRR25, PRR5, PAA5, PSINLAT5, PCOSLAT5,&
 & PSINLATS5, PCOSLATS5, PSINLATP5, PCOSLATP5,&
 & PSINLON5, PCOSLON5, PSINLONS5, PCOSLONS5, PSINLONP5, PCOSLONP5,&
 & PSS15, PCC15, PSS25, PCC25, PSS35, PCC35, PSSS5, PCCC5,&
 & PNORDX5, PNORDY5, PCOSCO5, PSINSI5,&
 & PCODLAM5, PSIDLAM5, PCOPHI5, PPP5, PQQ5,&
 & POMVRL5,POMVRM5 ) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
INTEGER(KIND=JPIM),INTENT(IN) :: KPROMA
INTEGER(KIND=JPIM),INTENT(IN) :: KFLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KSTART
INTEGER(KIND=JPIM),INTENT(IN) :: KPROF
LOGICAL ,INTENT(IN) :: LDCOMPUTE_OMVAK_O
REAL(KIND=JPRB) ,INTENT(IN) :: PGEMU(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGSQM2(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGECLO(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGESLO(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PIX5(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PJY5(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PXX5(KPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PYY5(KPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PRR25(KPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PRR5(KPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PAA5(KPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PSINLAT5(KPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCOSLAT5(KPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PSINLATS5(KPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCOSLATS5(KPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PSINLATP5(KPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCOSLATP5(KPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PSINLON5(KPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCOSLON5(KPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PSINLONS5(KPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCOSLONS5(KPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PSINLONP5(KPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCOSLONP5(KPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PSS15(KPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCC15(KPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PSS25(KPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCC25(KPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PSS35(KPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCC35(KPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PSSS5(KPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCCC5(KPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PNORDX5(KPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PNORDY5(KPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCOSCO5(KPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PSINSI5(KPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCODLAM5(KPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PSIDLAM5(KPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCOPHI5(KPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PPP5(KPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PQQ5(KPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PO5(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PQ5(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: POMVRL5(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: POMVRM5(KPROMA,KFLEV)
END SUBROUTINE ELARCHE5
END INTERFACE
